import React, { useRef } from 'react'
import useDnd from '@/utils/hooks/useDnd'

export default (props) => {
  const ref = useRef();
  const { id, moveRow, ...restProps } = props;
  const { dragPreview, dragSource, dropTarget, onDrop } = useDnd({
    item: { id },
  });

  onDrop((item) => {
    moveRow({
      from: item.id,
      to: id,
    });
  });

  dragPreview(ref)
  dragSource(dropTarget(ref))

  return (
    <tr ref={ref} {...restProps} />
  )
}
