import React from 'react';
import { sortableElement } from 'react-sortable-hoc';

export const SortableItem = sortableElement(props => <tr {...props} />);

export default function withDraggableRow(dataSource) {
  return (props) => {
    const index = dataSource.current.findIndex(x => x.serialNo === props['data-row-key']);
    return  <SortableItem index={index} {...props} />
  }
}
